﻿using System;
using System.Windows;
using System.Windows.Media;

namespace DataGridListView
{
    public static class Utils
    {
        public static T GetFirstParentForChild<T>(DependencyObject child)
            where T : class
        {
            if (child == null) { return null; }

            var candidate = child as T;
            return candidate ?? GetFirstParentForChild<T>(VisualTreeHelper.GetParent(child));
        }
    }
}
