﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;

namespace DataGridListView
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataMatrix Matrix { get; private set; }

        public MainWindow()
        {
            CreateData();
            InitializeComponent();
            DataContext = this;
        }

        private void CreateData()
        {
            Matrix = new DataMatrix();

            Matrix.Columns.AddRange(new [] { new MatrixColumn { Name = "Col 1" }, new MatrixColumn { Name = "Col 2" }, new MatrixColumn { Name = "Col 3" } });
            Matrix.Rows.Add("Row 1", new Dictionary<string,object> { { "Col 1", 1 }, { "Col 2", 2 }, { "Col 3", 3 } });
            Matrix.Rows.Add("Row 2", new Dictionary<string, object> { { "Col 1", "A" }, { "Col 2", 5 }, { "Col 3", 6 } });
            Matrix.Rows.Add("Row 3", new Dictionary<string, object> { { "Col 1", 7 }, { "Col 2", 8 }, { "Col 3", 9 } });

        }
    }
}
