﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace DataGridListView
{
    public class OddEvenTemplateSelector : DataTemplateSelector
    {
        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            var control = Utils.GetFirstParentForChild<Window>(container);

            if (control == null)
                return null;
            
            var resource = "UnknownTemplate";
            try {
                var i = (int)item;
                resource = i % 2 == 0 ? "EvenTemplate" : "OddTemplate";
            } catch {}

            return (DataTemplate)control.FindResource(resource);
        }
    }
}
